###################################
## 第7章　重回帰分析の応用 例7.5 ##
###################################

#データの読み込み
income6 <- read.table("6_1_income.csv", header=TRUE, sep=",")

#ミンサー方程式をOLSで重回帰
reg1 <- lm(lincome ~ yeduc + exper + exper2, data = income6) 
#回帰の結果の確認
summary(reg1)

#頑健な標準誤差を求める（ホワイトの修正）
#必要なパッケージのインストールと読み込み
install.packages("lmtest")
install.packages("sandwich")
require(lmtest)
require(sandwich)

#分散共分散行列を計算
vcov <- vcovHC(reg1, type = "HC1")
#重回帰分析の結果とvcovから標準誤差をホワイト修正
coeftest(reg1, vcov)
