#############################
## 第8章　操作変数法 例8.3 ##
#############################

#データの読み込み
income8 <- read.table("8_income.csv", header = TRUE, sep = ",")

#修学年数を生まれ月に回帰
reg1 <- lm(yeduc ~ mbirth, data = income8)
summary(reg1)

#操作変数法を実行するコマンドを含むパッケージ「AER」をインストール
install.packages("AER")
#操作変数法を実行するコマンドを含むパッケージを読み込む
require(AER)

#誤った操作変数を使って教育の収益率を推定
ivreg1 <- ivreg(lincome ~ yeduc | mbirth, data = income8)
summary(ivreg1)
