##########################
##第7章　実証分析問題7-D##
##########################


#実証分析問題7-D(1)
#データの読み込み
work7 <- read.table("7_2_work.csv", header = TRUE, sep = ",")
reg1 <- lm(work ~ income_s + childu6 + mowork15, data = work7)
summary(reg1)

#実証分析問題7-D(2)
#必要ライブラリ読み込み
install.packages("lmtest")
require(lmtest)

#ロバスト標準誤差計算
#分散共分散行列を計算
vcov <- vcovHC(reg1, type = "HC1")
#重回帰分析の結果とvcovから標準誤差をホワイト修正
coeftest(reg1, vcov)
