#################################
## 第10章　マッチング法 例10.1 ##
#################################

#データ読み込み
income10 <- read.table("10_1_income.csv", header = TRUE, sep = ",")

reg1 <- lm(cograd ~ pacograd + sibs, data = income10)
summary(reg1)

##傾向スコア計算
score <- predict(reg1)

#ヒストグラム
hist(score, breaks = seq(0,0.5,0.05))

#傾向スコアグループ分割
income10_score <- data.frame(income10, score)
range <- cut(income10_score$score, breaks=c(0, 0.24, 0.29, 0.4, 1))

by(income10_score$score, range, summary)
by(income10_score$score, list(income10_score$cograd, range), summary)
