#############################
## 第8章　操作変数法 例8.1 ##
#############################

#データの読み込み
income8 <- read.table("8_income.csv", header = TRUE, sep = ",")

#年収を修学年数に回帰
reg1 <- lm(lincome ~ yeduc, data = income8)
summary(reg1)
#本人の修学年数を親の修学年数に回帰
reg2 <- lm(yeduc ~ payeduc, data = income8)
summary(reg2)

#操作変数法を実行するコマンドを含むパッケージ「AER」をインストール
install.packages("AER")
#操作変数法を実行するコマンドを含むパッケージを読み込む
require(AER)

#操作変数を使った回帰
ivreg1 <- ivreg(lincome ~ yeduc | payeduc, data = income8)
summary(ivreg1)
